<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>AbstractExcelConverter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractExcelConverter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":6,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AbstractExcelConverter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/converter/AbstractExcelConverter.html" target="_top">Frames</a>
        </li>
        <li><a href="AbstractExcelConverter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.converter</div>
    <h2 title="Class AbstractExcelConverter" class="title">Class AbstractExcelConverter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.converter.AbstractExcelConverter</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html"
                           title="class in org.apache.poi.hssf.converter">ExcelToFoConverter</a>, <a
                            href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html"
                            title="class in org.apache.poi.hssf.converter">ExcelToHtmlConverter</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public abstract class <span class="typeNameLabel">AbstractExcelConverter</span>
extends java.lang.Object</pre>
                <div class="block">Common class for <a
                        href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html"
                        title="class in org.apache.poi.hssf.converter"><code>ExcelToFoConverter</code></a> and <a
                        href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlConverter.html"
                        title="class in org.apache.poi.hssf.converter"><code>ExcelToHtmlConverter</code></a></div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov (vlsergey {at} gmail {dot} com)</dd>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html"
                           title="class in org.apache.poi.hwpf.converter"><code>AbstractWordConverter</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormatter.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFDataFormatter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#Z:Z_formatter">_formatter</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#AbstractExcelConverter--">AbstractExcelConverter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getColumnName-int-">getColumnName</a></span>(int&nbsp;columnIndex)</code>
                                    <div class="block">Generates name for output as column header in case
                                        <tt><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputColumnHeaders--"><code>isOutputColumnHeaders()</code></a>
                                            == true</tt></div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-int-">getColumnWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    int&nbsp;columnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getDefaultColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-">getDefaultColumnWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected abstract org.w3c.dom.Document</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getDocument--">getDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/converter/FontReplacer.html"
                                        title="interface in org.apache.poi.hwpf.converter">FontReplacer</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getFontReplacer--">getFontReplacer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#getRowName-org.apache.poi.hssf.usermodel.HSSFRow-">getRowName</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;row)</code>
                                    <div class="block">Generates name for output as row number in case
                                        <tt><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputRowNumbers--"><code>isOutputRowNumbers()</code></a>
                                            == true</tt></div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputColumnHeaders--">isOutputColumnHeaders</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputHiddenColumns--">isOutputHiddenColumns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputHiddenRows--">isOutputHiddenRows</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputLeadingSpacesAsNonBreaking--">isOutputLeadingSpacesAsNonBreaking</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputRowNumbers--">isOutputRowNumbers</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isTextEmpty-org.apache.poi.hssf.usermodel.HSSFCell-">isTextEmpty</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setFontReplacer-org.apache.poi.hwpf.converter.FontReplacer-">setFontReplacer</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/converter/FontReplacer.html"
                                        title="interface in org.apache.poi.hwpf.converter">FontReplacer</a>&nbsp;fontReplacer)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputColumnHeaders-boolean-">setOutputColumnHeaders</a></span>(boolean&nbsp;outputColumnHeaders)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputHiddenColumns-boolean-">setOutputHiddenColumns</a></span>(boolean&nbsp;outputZeroWidthColumns)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputHiddenRows-boolean-">setOutputHiddenRows</a></span>(boolean&nbsp;outputZeroHeightRows)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputLeadingSpacesAsNonBreaking-boolean-">setOutputLeadingSpacesAsNonBreaking</a></span>(boolean&nbsp;outputPrePostSpacesAsNonBreaking)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#setOutputRowNumbers-boolean-">setOutputRowNumbers</a></span>(boolean&nbsp;outputRowNumbers)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="Z:Z_formatter">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_formatter</h4>
                                <pre>protected final&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataFormatter.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFDataFormatter</a> _formatter</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="AbstractExcelConverter--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>AbstractExcelConverter</h4>
                                <pre>public&nbsp;AbstractExcelConverter()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnWidth</h4>
                                <pre>protected static&nbsp;int&nbsp;getColumnWidth(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet,
                                    int&nbsp;columnIndex)</pre>
                            </li>
                        </ul>
                        <a name="getDefaultColumnWidth-org.apache.poi.hssf.usermodel.HSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultColumnWidth</h4>
                                <pre>protected static&nbsp;int&nbsp;getDefaultColumnWidth(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</pre>
                            </li>
                        </ul>
                        <a name="getColumnName-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnName</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getColumnName(int&nbsp;columnIndex)</pre>
                                <div class="block">Generates name for output as column header in case
                                    <tt><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputColumnHeaders--"><code>isOutputColumnHeaders()</code></a>
                                        == true</tt></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - 0-based column index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocument</h4>
                                <pre>protected abstract&nbsp;org.w3c.dom.Document&nbsp;getDocument()</pre>
                            </li>
                        </ul>
                        <a name="getFontReplacer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontReplacer</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hwpf/converter/FontReplacer.html"
                                        title="interface in org.apache.poi.hwpf.converter">FontReplacer</a>&nbsp;getFontReplacer()</pre>
                            </li>
                        </ul>
                        <a name="getRowName-org.apache.poi.hssf.usermodel.HSSFRow-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowName</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;getRowName(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;row)</pre>
                                <div class="block">Generates name for output as row number in case
                                    <tt><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html#isOutputRowNumbers--"><code>isOutputRowNumbers()</code></a>
                                        == true</tt></div>
                            </li>
                        </ul>
                        <a name="isOutputColumnHeaders--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isOutputColumnHeaders</h4>
                                <pre>public&nbsp;boolean&nbsp;isOutputColumnHeaders()</pre>
                            </li>
                        </ul>
                        <a name="isOutputHiddenColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isOutputHiddenColumns</h4>
                                <pre>public&nbsp;boolean&nbsp;isOutputHiddenColumns()</pre>
                            </li>
                        </ul>
                        <a name="isOutputHiddenRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isOutputHiddenRows</h4>
                                <pre>public&nbsp;boolean&nbsp;isOutputHiddenRows()</pre>
                            </li>
                        </ul>
                        <a name="isOutputLeadingSpacesAsNonBreaking--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isOutputLeadingSpacesAsNonBreaking</h4>
                                <pre>public&nbsp;boolean&nbsp;isOutputLeadingSpacesAsNonBreaking()</pre>
                            </li>
                        </ul>
                        <a name="isOutputRowNumbers--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isOutputRowNumbers</h4>
                                <pre>public&nbsp;boolean&nbsp;isOutputRowNumbers()</pre>
                            </li>
                        </ul>
                        <a name="isTextEmpty-org.apache.poi.hssf.usermodel.HSSFCell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isTextEmpty</h4>
                                <pre>protected&nbsp;boolean&nbsp;isTextEmpty(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="setFontReplacer-org.apache.poi.hwpf.converter.FontReplacer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontReplacer</h4>
                                <pre>public&nbsp;void&nbsp;setFontReplacer(<a
                                        href="../../../../../org/apache/poi/hwpf/converter/FontReplacer.html"
                                        title="interface in org.apache.poi.hwpf.converter">FontReplacer</a>&nbsp;fontReplacer)</pre>
                            </li>
                        </ul>
                        <a name="setOutputColumnHeaders-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOutputColumnHeaders</h4>
                                <pre>public&nbsp;void&nbsp;setOutputColumnHeaders(boolean&nbsp;outputColumnHeaders)</pre>
                            </li>
                        </ul>
                        <a name="setOutputHiddenColumns-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOutputHiddenColumns</h4>
                                <pre>public&nbsp;void&nbsp;setOutputHiddenColumns(boolean&nbsp;outputZeroWidthColumns)</pre>
                            </li>
                        </ul>
                        <a name="setOutputHiddenRows-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOutputHiddenRows</h4>
                                <pre>public&nbsp;void&nbsp;setOutputHiddenRows(boolean&nbsp;outputZeroHeightRows)</pre>
                            </li>
                        </ul>
                        <a name="setOutputLeadingSpacesAsNonBreaking-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOutputLeadingSpacesAsNonBreaking</h4>
                                <pre>public&nbsp;void&nbsp;setOutputLeadingSpacesAsNonBreaking(boolean&nbsp;outputPrePostSpacesAsNonBreaking)</pre>
                            </li>
                        </ul>
                        <a name="setOutputRowNumbers-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setOutputRowNumbers</h4>
                                <pre>public&nbsp;void&nbsp;setOutputRowNumbers(boolean&nbsp;outputRowNumbers)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AbstractExcelConverter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/converter/AbstractExcelConverter.html" target="_top">Frames</a>
        </li>
        <li><a href="AbstractExcelConverter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
